Package org.silverpeas.components.survey

# Class SurveyContentManager

java.lang.Object
org.silverpeas.core.contribution.contentcontainer.content.AbstractSilverpeasContentManager
org.silverpeas.components.survey.SurveyContentManager

All Implemented Interfaces:
  `org.silverpeas.core.contribution.contentcontainer.content.SilverpeasContentManager`

@Service public class SurveyContentManager extends org.silverpeas.core.contribution.contentcontainer.content.AbstractSilverpeasContentManager
The survey implementation of SilverpeasContentManager

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `SurveyContentManager()`
  Hidden constructor as this implementation must be GET by CDI mechanism.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected List<org.silverpeas.core.contribution.model.Contribution>`
  `getAccessibleContributions(List<org.silverpeas.core.ResourceReference> resourceReferences, String currentUserId)`
  `protected String`
  `getContentIconFileName(String componentInstanceId)`
  `protected Optional<org.silverpeas.core.contribution.model.Contribution>`
  `getContribution(String resourceId, String componentInstanceId)`

  ### Methods inherited from class org.silverpeas.core.contribution.contentcontainer.content.AbstractSilverpeasContentManager

  `computeSilverContentVisibility, createSilverContent, createSilverContent, createSilverContent, deleteSilverContent, deleteSilverContent, deleteSilverContent, getContentManager, getOrCreateSilverContentId, getOrCreateSilverContentId, getSilverContentByReference, getSilverContentId, getSilverContentId, updateSilverContentVisibility, updateSilverContentVisibility`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SurveyContentManager

    protected SurveyContentManager()
    Hidden constructor as this implementation must be GET by CDI mechanism.

- ## Method Details

  - ### getContentIconFileName

    protected String getContentIconFileName(String componentInstanceId)
    Specified by:
      `getContentIconFileName` in class `org.silverpeas.core.contribution.contentcontainer.content.AbstractSilverpeasContentManager`

  - ### getContribution

    protected Optional<org.silverpeas.core.contribution.model.Contribution> getContribution(String resourceId, String componentInstanceId)
    Specified by:
      `getContribution` in class `org.silverpeas.core.contribution.contentcontainer.content.AbstractSilverpeasContentManager`

  - ### getAccessibleContributions

    protected List<org.silverpeas.core.contribution.model.Contribution> getAccessibleContributions(List<org.silverpeas.core.ResourceReference> resourceReferences, String currentUserId)
    Specified by:
      `getAccessibleContributions` in class `org.silverpeas.core.contribution.contentcontainer.content.AbstractSilverpeasContentManager`